
import { _decorator, Component, Node, assetManager, director, Prefab, instantiate } from 'cc';
const { ccclass, property } = _decorator;

@ccclass('Test2')
export class Test extends Component {


    start(){
        if(assetManager.getBundle('bundle1')){
            this.releaseBundleScene()
        }
    }

    loadBundle(){
        this.preloadBundleScene('bundle1', 'test1')
    }
    
    releaseBundleScene(){
        assetManager.getBundle('bundle1').releaseAll()
        assetManager.removeBundle(assetManager.getBundle('bundle1'))
    }

    private preloadBundleScene(bundleName: string, sceneName: string){
          assetManager.loadBundle(bundleName, (err, bundle) => {
            if (err) {
              return
            }
            bundle.preloadScene(sceneName, () => {
                director.loadScene(sceneName)
            })
          })
        
      }

}
